<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:11 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>NamedDomainObjectSet (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="NamedDomainObjectSet (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/gradle/api/NamedDomainObjectList.html" title="interface in org.gradle.api"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../org/gradle/api/Namer.html" title="interface in org.gradle.api"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/gradle/api/NamedDomainObjectSet.html" target="_top">Frames</a></li>
<li><a href="NamedDomainObjectSet.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api</div>
<h2 title="Interface NamedDomainObjectSet" class="title">Interface NamedDomainObjectSet&lt;T&gt;</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl><dt><span class="strong">Type Parameters:</span></dt><dd><code>T</code> - The type of element in the set</dd></dl>
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;T&gt;, <a href="../../../org/gradle/api/DomainObjectCollection.html" title="interface in org.gradle.api">DomainObjectCollection</a>&lt;T&gt;, <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;T&gt;, <a href="../../../org/gradle/api/NamedDomainObjectCollection.html" title="interface in org.gradle.api">NamedDomainObjectCollection</a>&lt;T&gt;, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;T&gt;</dd>
</dl>
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><a href="../../../org/gradle/api/artifacts/type/ArtifactTypeContainer.html" title="interface in org.gradle.api.artifacts.type">ArtifactTypeContainer</a>, <a href="../../../org/gradle/api/artifacts/repositories/AuthenticationContainer.html" title="interface in org.gradle.api.artifacts.repositories">AuthenticationContainer</a>, <a href="../../../org/gradle/api/reporting/BuildDashboardReports.html" title="interface in org.gradle.api.reporting">BuildDashboardReports</a>, <a href="../../../org/gradle/nativeplatform/BuildTypeContainer.html" title="interface in org.gradle.nativeplatform">BuildTypeContainer</a>, <a href="../../../org/gradle/api/plugins/quality/CheckstyleReports.html" title="interface in org.gradle.api.plugins.quality">CheckstyleReports</a>, <a href="../../../org/gradle/api/plugins/quality/CodeNarcReports.html" title="interface in org.gradle.api.plugins.quality">CodeNarcReports</a>, <a href="../../../org/gradle/api/artifacts/ConfigurationContainer.html" title="interface in org.gradle.api.artifacts">ConfigurationContainer</a>, <a href="../../../org/gradle/api/reporting/dependencies/DependencyReportContainer.html" title="interface in org.gradle.api.reporting.dependencies">DependencyReportContainer</a>, <a href="../../../org/gradle/api/distribution/DistributionContainer.html" title="interface in org.gradle.api.distribution">DistributionContainer</a>, <a href="../../../org/gradle/api/ExtensiblePolymorphicDomainObjectContainer.html" title="interface in org.gradle.api">ExtensiblePolymorphicDomainObjectContainer</a>&lt;T&gt;, <a href="../../../org/gradle/api/plugins/quality/FindBugsReports.html" title="interface in org.gradle.api.plugins.quality">FindBugsReports</a>, <a href="../../../org/gradle/nativeplatform/FlavorContainer.html" title="interface in org.gradle.nativeplatform">FlavorContainer</a>, <a href="../../../org/gradle/api/publish/ivy/IvyConfigurationContainer.html" title="interface in org.gradle.api.publish.ivy">IvyConfigurationContainer</a>, <a href="../../../org/gradle/testing/jacoco/tasks/JacocoReportsContainer.html" title="interface in org.gradle.testing.jacoco.tasks">JacocoReportsContainer</a>, <a href="../../../org/gradle/api/plugins/quality/JDependReports.html" title="interface in org.gradle.api.plugins.quality">JDependReports</a>, <a href="../../../org/gradle/api/NamedDomainObjectContainer.html" title="interface in org.gradle.api">NamedDomainObjectContainer</a>&lt;T&gt;, <a href="../../../org/gradle/nativeplatform/toolchain/NativeToolChainRegistry.html" title="interface in org.gradle.nativeplatform.toolchain">NativeToolChainRegistry</a>, <a href="../../../org/gradle/platform/base/PlatformContainer.html" title="interface in org.gradle.platform.base">PlatformContainer</a>, <a href="../../../org/gradle/play/distribution/PlayDistributionContainer.html" title="interface in org.gradle.play.distribution">PlayDistributionContainer</a>, <a href="../../../org/gradle/api/plugins/quality/PmdReports.html" title="interface in org.gradle.api.plugins.quality">PmdReports</a>, <a href="../../../org/gradle/api/PolymorphicDomainObjectContainer.html" title="interface in org.gradle.api">PolymorphicDomainObjectContainer</a>&lt;T&gt;, <a href="../../../org/gradle/nativeplatform/PrebuiltLibraries.html" title="interface in org.gradle.nativeplatform">PrebuiltLibraries</a>, <a href="../../../org/gradle/api/publish/PublicationContainer.html" title="interface in org.gradle.api.publish">PublicationContainer</a>, <a href="../../../org/gradle/api/reporting/ReportContainer.html" title="interface in org.gradle.api.reporting">ReportContainer</a>&lt;T&gt;, <a href="../../../org/gradle/nativeplatform/Repositories.html" title="interface in org.gradle.nativeplatform">Repositories</a>, <a href="../../../org/gradle/api/component/SoftwareComponentContainer.html" title="interface in org.gradle.api.component">SoftwareComponentContainer</a>, <a href="../../../org/gradle/api/tasks/SourceSetContainer.html" title="interface in org.gradle.api.tasks">SourceSetContainer</a>, <a href="../../../org/gradle/api/tasks/TaskCollection.html" title="interface in org.gradle.api.tasks">TaskCollection</a>&lt;T&gt;, <a href="../../../org/gradle/api/tasks/TaskContainer.html" title="interface in org.gradle.api.tasks">TaskContainer</a>, <a href="../../../org/gradle/api/tasks/testing/TestTaskReports.html" title="interface in org.gradle.api.tasks.testing">TestTaskReports</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="strong">NamedDomainObjectSet&lt;T&gt;</span>
extends <a href="../../../org/gradle/api/NamedDomainObjectCollection.html" title="interface in org.gradle.api">NamedDomainObjectCollection</a>&lt;T&gt;, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;T&gt;</pre>
<div class="block"><p>A specialisation of <a href="../../../org/gradle/api/NamedDomainObjectCollection.html" title="interface in org.gradle.api"><code>NamedDomainObjectCollection</code></a> that also implements <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util"><code>Set</code></a> and orders objects by their inherent name.</p>
 
 <p>All object equality is determined in terms of object names. That is, calling <code>remove()</code> with an object that is NOT equal to
 an existing object in terms of <code>equals</code>, but IS in terms of name equality will result in the existing collection item with
 the equal name being removed.</p></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../org/gradle/api/NamedDomainObjectSet.html" title="type parameter in NamedDomainObjectSet">T</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/api/NamedDomainObjectSet.html#findAll(groovy.lang.Closure)">findAll</a></strong>(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;spec)</code>
<div class="block">Returns a collection which contains the objects in this collection which meet the given closure specification.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../org/gradle/api/NamedDomainObjectSet.html" title="interface in org.gradle.api">NamedDomainObjectSet</a>&lt;<a href="../../../org/gradle/api/NamedDomainObjectSet.html" title="type parameter in NamedDomainObjectSet">T</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/api/NamedDomainObjectSet.html#matching(groovy.lang.Closure)">matching</a></strong>(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;spec)</code>
<div class="block">Returns a collection which contains the objects in this collection which meet the given closure specification.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../org/gradle/api/NamedDomainObjectSet.html" title="interface in org.gradle.api">NamedDomainObjectSet</a>&lt;<a href="../../../org/gradle/api/NamedDomainObjectSet.html" title="type parameter in NamedDomainObjectSet">T</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/api/NamedDomainObjectSet.html#matching(org.gradle.api.specs.Spec)">matching</a></strong>(<a href="../../../org/gradle/api/specs/Spec.html" title="interface in org.gradle.api.specs">Spec</a>&lt;? super <a href="../../../org/gradle/api/NamedDomainObjectSet.html" title="type parameter in NamedDomainObjectSet">T</a>&gt;&nbsp;spec)</code>
<div class="block">Returns a collection which contains the objects in this collection which meet the given specification.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>&lt;S extends <a href="../../../org/gradle/api/NamedDomainObjectSet.html" title="type parameter in NamedDomainObjectSet">T</a>&gt;&nbsp;<br><a href="../../../org/gradle/api/NamedDomainObjectSet.html" title="interface in org.gradle.api">NamedDomainObjectSet</a>&lt;S&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../org/gradle/api/NamedDomainObjectSet.html#withType(java.lang.Class)">withType</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;S&gt;&nbsp;type)</code>
<div class="block">Returns a collection containing the objects in this collection of the given type.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.NamedDomainObjectCollection">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.<a href="../../../org/gradle/api/NamedDomainObjectCollection.html" title="interface in org.gradle.api">NamedDomainObjectCollection</a></h3>
<code><a href="../../../org/gradle/api/NamedDomainObjectCollection.html#add(T)">add</a>, <a href="../../../org/gradle/api/NamedDomainObjectCollection.html#addAll(java.util.Collection)">addAll</a>, <a href="../../../org/gradle/api/NamedDomainObjectCollection.html#addRule(org.gradle.api.Rule)">addRule</a>, <a href="../../../org/gradle/api/NamedDomainObjectCollection.html#addRule(java.lang.String,%20org.gradle.api.Action)">addRule</a>, <a href="../../../org/gradle/api/NamedDomainObjectCollection.html#addRule(java.lang.String,%20groovy.lang.Closure)">addRule</a>, <a href="../../../org/gradle/api/NamedDomainObjectCollection.html#findByName(java.lang.String)">findByName</a>, <a href="../../../org/gradle/api/NamedDomainObjectCollection.html#getAsMap()">getAsMap</a>, <a href="../../../org/gradle/api/NamedDomainObjectCollection.html#getAt(java.lang.String)">getAt</a>, <a href="../../../org/gradle/api/NamedDomainObjectCollection.html#getByName(java.lang.String)">getByName</a>, <a href="../../../org/gradle/api/NamedDomainObjectCollection.html#getByName(java.lang.String,%20org.gradle.api.Action)">getByName</a>, <a href="../../../org/gradle/api/NamedDomainObjectCollection.html#getByName(java.lang.String,%20groovy.lang.Closure)">getByName</a>, <a href="../../../org/gradle/api/NamedDomainObjectCollection.html#getNamer()">getNamer</a>, <a href="../../../org/gradle/api/NamedDomainObjectCollection.html#getNames()">getNames</a>, <a href="../../../org/gradle/api/NamedDomainObjectCollection.html#getRules()">getRules</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.gradle.api.DomainObjectCollection">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.gradle.api.<a href="../../../org/gradle/api/DomainObjectCollection.html" title="interface in org.gradle.api">DomainObjectCollection</a></h3>
<code><a href="../../../org/gradle/api/DomainObjectCollection.html#all(org.gradle.api.Action)">all</a>, <a href="../../../org/gradle/api/DomainObjectCollection.html#all(groovy.lang.Closure)">all</a>, <a href="../../../org/gradle/api/DomainObjectCollection.html#whenObjectAdded(org.gradle.api.Action)">whenObjectAdded</a>, <a href="../../../org/gradle/api/DomainObjectCollection.html#whenObjectAdded(groovy.lang.Closure)">whenObjectAdded</a>, <a href="../../../org/gradle/api/DomainObjectCollection.html#whenObjectRemoved(org.gradle.api.Action)">whenObjectRemoved</a>, <a href="../../../org/gradle/api/DomainObjectCollection.html#whenObjectRemoved(groovy.lang.Closure)">whenObjectRemoved</a>, <a href="../../../org/gradle/api/DomainObjectCollection.html#withType(java.lang.Class,%20org.gradle.api.Action)">withType</a>, <a href="../../../org/gradle/api/DomainObjectCollection.html#withType(java.lang.Class,%20groovy.lang.Closure)">withType</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.util.Collection">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.util.<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#clear()" title="class or interface in java.util">clear</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#contains(java.lang.Object)" title="class or interface in java.util">contains</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#containsAll(java.util.Collection)" title="class or interface in java.util">containsAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.util">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#hashCode()" title="class or interface in java.util">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#isEmpty()" title="class or interface in java.util">isEmpty</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#iterator()" title="class or interface in java.util">iterator</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#remove(java.lang.Object)" title="class or interface in java.util">remove</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#removeAll(java.util.Collection)" title="class or interface in java.util">removeAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#retainAll(java.util.Collection)" title="class or interface in java.util">retainAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#size()" title="class or interface in java.util">size</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#toArray()" title="class or interface in java.util">toArray</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true#toArray(T[])" title="class or interface in java.util">toArray</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.util.Set">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.util.<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a></h3>
<code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#add(E)" title="class or interface in java.util">add</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#addAll(java.util.Collection)" title="class or interface in java.util">addAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#clear()" title="class or interface in java.util">clear</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#contains(java.lang.Object)" title="class or interface in java.util">contains</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#containsAll(java.util.Collection)" title="class or interface in java.util">containsAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#equals(java.lang.Object)" title="class or interface in java.util">equals</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#hashCode()" title="class or interface in java.util">hashCode</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#isEmpty()" title="class or interface in java.util">isEmpty</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#iterator()" title="class or interface in java.util">iterator</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#remove(java.lang.Object)" title="class or interface in java.util">remove</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#removeAll(java.util.Collection)" title="class or interface in java.util">removeAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#retainAll(java.util.Collection)" title="class or interface in java.util">retainAll</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#size()" title="class or interface in java.util">size</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#toArray()" title="class or interface in java.util">toArray</a>, <a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true#toArray(T[])" title="class or interface in java.util">toArray</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="withType(java.lang.Class)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>withType</h4>
<pre>&lt;S extends <a href="../../../org/gradle/api/NamedDomainObjectSet.html" title="type parameter in NamedDomainObjectSet">T</a>&gt;&nbsp;<a href="../../../org/gradle/api/NamedDomainObjectSet.html" title="interface in org.gradle.api">NamedDomainObjectSet</a>&lt;S&gt;&nbsp;withType(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;S&gt;&nbsp;type)</pre>
<div class="block">Returns a collection containing the objects in this collection of the given type.  The returned collection is
 live, so that when matching objects are later added to this collection, they are also visible in the filtered
 collection.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../org/gradle/api/DomainObjectCollection.html#withType(java.lang.Class)">withType</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/gradle/api/DomainObjectCollection.html" title="interface in org.gradle.api">DomainObjectCollection</a>&lt;<a href="../../../org/gradle/api/NamedDomainObjectSet.html" title="type parameter in NamedDomainObjectSet">T</a>&gt;</code></dd>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../org/gradle/api/NamedDomainObjectCollection.html#withType(java.lang.Class)">withType</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/gradle/api/NamedDomainObjectCollection.html" title="interface in org.gradle.api">NamedDomainObjectCollection</a>&lt;<a href="../../../org/gradle/api/NamedDomainObjectSet.html" title="type parameter in NamedDomainObjectSet">T</a>&gt;</code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>type</code> - The type of objects to find.</dd>
<dt><span class="strong">Returns:</span></dt><dd>The matching objects. Returns an empty collection if there are no such objects in this collection.</dd></dl>
</li>
</ul>
<a name="matching(org.gradle.api.specs.Spec)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>matching</h4>
<pre><a href="../../../org/gradle/api/NamedDomainObjectSet.html" title="interface in org.gradle.api">NamedDomainObjectSet</a>&lt;<a href="../../../org/gradle/api/NamedDomainObjectSet.html" title="type parameter in NamedDomainObjectSet">T</a>&gt;&nbsp;matching(<a href="../../../org/gradle/api/specs/Spec.html" title="interface in org.gradle.api.specs">Spec</a>&lt;? super <a href="../../../org/gradle/api/NamedDomainObjectSet.html" title="type parameter in NamedDomainObjectSet">T</a>&gt;&nbsp;spec)</pre>
<div class="block">Returns a collection which contains the objects in this collection which meet the given specification. The
 returned collection is live, so that when matching objects are added to this collection, they are also visible in
 the filtered collection.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../org/gradle/api/DomainObjectCollection.html#matching(org.gradle.api.specs.Spec)">matching</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/gradle/api/DomainObjectCollection.html" title="interface in org.gradle.api">DomainObjectCollection</a>&lt;<a href="../../../org/gradle/api/NamedDomainObjectSet.html" title="type parameter in NamedDomainObjectSet">T</a>&gt;</code></dd>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../org/gradle/api/NamedDomainObjectCollection.html#matching(org.gradle.api.specs.Spec)">matching</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/gradle/api/NamedDomainObjectCollection.html" title="interface in org.gradle.api">NamedDomainObjectCollection</a>&lt;<a href="../../../org/gradle/api/NamedDomainObjectSet.html" title="type parameter in NamedDomainObjectSet">T</a>&gt;</code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>spec</code> - The specification to use.</dd>
<dt><span class="strong">Returns:</span></dt><dd>The collection of matching objects. Returns an empty collection if there are no such objects in this
         collection.</dd></dl>
</li>
</ul>
<a name="matching(groovy.lang.Closure)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>matching</h4>
<pre><a href="../../../org/gradle/api/NamedDomainObjectSet.html" title="interface in org.gradle.api">NamedDomainObjectSet</a>&lt;<a href="../../../org/gradle/api/NamedDomainObjectSet.html" title="type parameter in NamedDomainObjectSet">T</a>&gt;&nbsp;matching(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;spec)</pre>
<div class="block">Returns a collection which contains the objects in this collection which meet the given closure specification. The
 returned collection is live, so that when matching objects are added to this collection, they are also visible in
 the filtered collection.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../org/gradle/api/DomainObjectCollection.html#matching(groovy.lang.Closure)">matching</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/gradle/api/DomainObjectCollection.html" title="interface in org.gradle.api">DomainObjectCollection</a>&lt;<a href="../../../org/gradle/api/NamedDomainObjectSet.html" title="type parameter in NamedDomainObjectSet">T</a>&gt;</code></dd>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../org/gradle/api/NamedDomainObjectCollection.html#matching(groovy.lang.Closure)">matching</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/gradle/api/NamedDomainObjectCollection.html" title="interface in org.gradle.api">NamedDomainObjectCollection</a>&lt;<a href="../../../org/gradle/api/NamedDomainObjectSet.html" title="type parameter in NamedDomainObjectSet">T</a>&gt;</code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>spec</code> - The specification to use. The closure gets a collection element as an argument.</dd>
<dt><span class="strong">Returns:</span></dt><dd>The collection of matching objects. Returns an empty collection if there are no such objects in this
         collection.</dd></dl>
</li>
</ul>
<a name="findAll(groovy.lang.Closure)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>findAll</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Set.html?is-external=true" title="class or interface in java.util">Set</a>&lt;<a href="../../../org/gradle/api/NamedDomainObjectSet.html" title="type parameter in NamedDomainObjectSet">T</a>&gt;&nbsp;findAll(<a href="http://docs.groovy-lang.org/docs/groovy-2.4.11/html/gapi/groovy/lang/Closure.html?is-external=true" title="class or interface in groovy.lang">Closure</a>&nbsp;spec)</pre>
<div class="block">Returns a collection which contains the objects in this collection which meet the given closure specification.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../org/gradle/api/DomainObjectCollection.html#findAll(groovy.lang.Closure)">findAll</a></code>&nbsp;in interface&nbsp;<code><a href="../../../org/gradle/api/DomainObjectCollection.html" title="interface in org.gradle.api">DomainObjectCollection</a>&lt;<a href="../../../org/gradle/api/NamedDomainObjectSet.html" title="type parameter in NamedDomainObjectSet">T</a>&gt;</code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>spec</code> - The specification to use. The closure gets a collection element as an argument.</dd>
<dt><span class="strong">Returns:</span></dt><dd>The collection of matching objects. Returns an empty collection if there are no such objects in this
         collection.</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/gradle/api/NamedDomainObjectList.html" title="interface in org.gradle.api"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../org/gradle/api/Namer.html" title="interface in org.gradle.api"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/gradle/api/NamedDomainObjectSet.html" target="_top">Frames</a></li>
<li><a href="NamedDomainObjectSet.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
